{% load static %}

<ul class="navbar-nav bg-gradient-info sidebar sidebar-dark accordion" id="accordionSidebar">

    <a class="sidebar-brand d-flex align-items-center justify-content-center" href="{% url 'profile:admin_home' %}">
        <div class="sidebar-brand-icon">
            <img src="{% static 'admin/images/logo_only.png' %}" width="100%" height="52" alt="Logo Manage Panel">
        </div>
        <div class="sidebar-brand-text mx-1">
            <img src="{% static 'admin/images/logo_txt_only.png' %}" width="100%" height="22" alt="Logo Manage Panel">
        </div>
    </a>

    <hr class="sidebar-divider my-0">
    <li class="nav-item">
        <a class="nav-link" href="{% url 'profile:admin_home' %}">
            <i class="bi bi-house"></i>
            <span>Dashboard</span>
        </a>
    </li>
    <hr class="sidebar-divider">
    {% if request.user.is_staff or request.user.role == "admin" %}
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_setting_carousel' %}">
                <i class="bi bi-person-video3"></i>
                <span>Slider Home</span>
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_profilskpd' %}">
                <i class="bi bi-house"></i>
                <span>Profil SKPD</span>
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_layanan' %}">
                <i class="bi bi-house"></i>
                <span>Layanan</span>
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link collapsed d-flex justify-content-between align-items-center" href="#" data-toggle="collapse" data-target="#informasiterpadu" aria-expanded="false" aria-controls="informasiterpadu">
                <div>
                    <i class="bi bi-list"></i>
                    <span>Informasi Terpadu</span>
                </div>
                <i class="bi bi-chevron-down"></i>
            </a>
            <div id="informasiterpadu" class="collapse" aria-labelledby="headingPages" data-parent="#accordionSidebar" >
                <div class="bg-white py-2 collapse-inner rounded">
                    <a class="collapse-item"  href="{% url 'profile:admin_infoterpadu_infografis' %}">Infografis</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_infoterpadu_infopublik' %}">Informasi Publik</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_infoterpadu_agenda' %}">Agenda Kegiatan</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_infoterpadu_regulasi' %}">Regulasi</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_infoterpadu_kalender_pendidikan' %}">Kalender Pendidikan</a>
                </div>
            </div>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_ppid' %}">
                <i class="bi bi-list"></i>
                <span>PPID</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" target="_blank" href="{% url 'profile:adm_ppdb_index' %}">
                <i class="bi bi-list"></i>
                <span>PPDB</span></a>
        </li>
        {% endif %}

        {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "posting" %}

        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_news' %}">
                <i class="bi bi-newspaper"></i>
                <span>Berita</span></a>
        </li>
        {% endif %}
        {% if request.user.is_staff or request.user.role == "admin" %}
        
        <li class="nav-item">
            <a class="nav-link" href="{% url 'profile:admin_setting_running_link' %}">
                <i class="bi bi-star-fill"></i>
                <span>Partner Kami</span></a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="https://app.crisp.chat/initiate/login/" target="_blank">
                <i class="bi bi-chat-left-text"></i>
                <span>Live Chat</span></a>
        </li>
        {% endif %}

        {% if request.user.is_staff or request.user.role == "admin" or request.user.role == "admin_beasiswa" %}

            <li class="nav-item">
                <a class="nav-link" href="{% url 'profile:admin_pelayanan_pengaduan' %}">
                    <i class="bi bi-newspaper"></i>
                    <span>Pelayanan Pengaduan</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'profile:admin_kat_pengaduan' %}">
                    <i class="bi bi-star-fill"></i>
                    <span>Kategori Pengaduan</span></a>
            </li>
        {% endif %}
            
    {% if request.user.is_staff or request.user.role == "admin" %}
        <li class="nav-item">
            <a class="nav-link collapsed d-flex justify-content-between align-items-center" href="#" data-toggle="collapse" data-target="#collapsePages" aria-expanded="false" aria-controls="collapsePages">
                <div>
                    <i class="bi bi-gear"></i>
                    <span>Setting Aplikasi</span>
                </div>
                <i class="bi bi-chevron-down"></i>
            </a>
            <div id="collapsePages" class="collapse" aria-labelledby="headingPages" data-parent="#accordionSidebar" >
                <div class="bg-white py-2 collapse-inner rounded">
                    <a class="collapse-item"  href="{% url 'profile:admin_user' %}">Master User</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_setting_infografis' %}">Informasi Web</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_aksesbilitas' %}">Aksesbilitas Integrasi</a>
                    <a class="collapse-item"  href="{% url 'profile:admin_setting_category' %}">Master Kategori</a>
                </div>
            </div>
        </li>
    {% endif %}
    <li class="nav-item">
        <a class="nav-link" href="{{MEDIA_URL}}/manual_book/MANUAL BOOK - SAGU - SUPPORT WEB DINAS.pdf" target="_blank">
            <i class="bi bi-journal-arrow-down"></i>
            <span>Manual Book SAGU</span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="https://youtu.be/eVhegXbTy_M" target="_blank">
            <i class="bi bi-youtube"></i>
            <span>Video Tutorial SAGU</span>
        </a>
    </li>
    
    <hr class="sidebar-divider d-none d-md-block">

    <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0 text-white" id="sidebarToggle">
            <i class="bi bi-layout-sidebar"></i>
        </button>
    </div>

</ul>